
function gameinput (sender,obj_id,attachedID)
  MiniInterfaceHandler(sender, obj_id,attachedID);
  sendersProcessing(sender,obj_id,attachedID)
  -- if wrongItemWarning(sender, obj_id, attachedID, "grabli_16_1") then
    -- return
  -- end
  if sender==30 then
    if flags.Pesokfinish then
      StopEmiter("Standart_19_1");
      setCursor(obj.mini_VhodKBratamPesok_19_0.id,3)
      speciale_action(2,obj.mini_VhodKBratamPesok_19_0.id)
    end;
  end;
  
  if sender==16 then
    if obj_id==obj.magnet_19_10.id then
      speciale_action(2,obj.sand1_19_10.id,true)
      playeffect("magnet")
      -- speciale_action(4,obj.det1_1_19_10.id)
      -- speciale_action(4,obj.det2_1_19_10.id)
    return;end;
    if obj_id==obj.sand1_19_10.id then
      speciale_action(2,obj.det1_1_19_10.id,true)
      speciale_action(2,obj.det2_1_19_10.id,true)
      StartTimer(123,1.5)
    return;end;  
  
  end;
  
  if sender==36 then
    if obj_id==123 then
      speciale_action(2,obj.det1_1_19_10.id,true)
      speciale_action(2,obj.det2_1_19_10.id,true)  
      speciale_action(2,obj.det1_2_19_10.id,true)
      speciale_action(2,obj.det2_2_19_10.id,true)    
      StartTimer(124,1.5)      
    return;end;
    if obj_id==124 then
      Block_Show_Cur(false)
      speciale_action(2,obj.magnet_19_10.id,true)
      speciale_action(2,obj.det1_2_19_10.id,true)
      speciale_action(2,obj.det2_2_19_10.id,true)        
      StoreObj(obj.parts_puz.id)
      flags.Pesokfinish=true
      neighbors.VhodKBratamHidden.lock = false
      flags.VhodKBratamHidden2=true
      neighbors.KoridorBratyevHidden.lock = false
    end;
  end;
  if sender==1 then
    if obj_id == obj.form_19_10.id then
      if obj.magnit and attachedID==obj.magnit.id then
          removeFromMouse()
          UnStoreObj(obj.magnit.id)    
          Block_Show_Cur(true)
          speciale_action(2,obj.magnet_19_10.id,true)
          
      else
        CreatePlashechka("10000")
      end;  
      if   attachedID==-1 then
        CreatePlashechka("20003")
      return;end;              
    end
  end
  
  if sender==26 then
  --  CloseSatelite()
  end;  
end


